%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             picketbox
Version:          4.0.18
Release:          %mkrel 2
Summary:          Security framework for Java Applications
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/picketbox

# svn export http://anonsvn.jboss.org/repos/picketbox/tags/4.0.18.Final/ picketbox-4.0.18.Final
# tar cafJ picketbox-4.0.18.Final.tar.xz picketbox-4.0.18.Final
Source0:          picketbox-%{namedversion}.tar.xz
Source1:          picketbox-%{namedversion}-pom.xml

Patch0:           picketbox-%{namedversion}-assembly.patch

BuildArch:        noarch

BuildRequires:    concurrent
BuildRequires:    hibernate-jpa-2.0-api >= 1.0.1-5
BuildRequires:    hibernate3
BuildRequires:    hibernate3-entitymanager
BuildRequires:    hibernate-commons-annotations
BuildRequires:    hsqldb
BuildRequires:    infinispan
BuildRequires:    javacc-maven-plugin
BuildRequires:    java-devel
BuildRequires:    jboss-connector-1.6-api
BuildRequires:    jboss-jacc-1.4-api
BuildRequires:    jboss-jaspi-1.0-api
BuildRequires:    jboss-parent
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    geronimo-jpa
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    maven-local
BuildRequires:    jboss-logging-tools
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    picketbox-commons
BuildRequires:    picketbox-xacml
BuildRequires:    rhq-plugin-annotations

%description
Java Security Framework that provides Java developers the following
functionality:

- Authentication Support
- Authorization Support
- Audit Support
- Security Mapping Support
- An Oasis XACML v2.0 compliant engine

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n picketbox-%{namedversion}

%patch0 -p1

# Change hibernate version
sed -i 's|3.6.6.Final|3|g' security-jboss-sx/acl/pom.xml

%pom_remove_dep "org.hibernate:hibernate-annotations" security-jboss-sx/acl/pom.xml

%build
%mvn_build -f

%install
%mvn_install

# Assembly jar
install -pm 644  assembly/target/picketbox-%{namedversion}-bin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Sat Jan 04 2014 dmorgan <dmorgan> 4.0.18-2.mga4
+ Revision: 564508
- Rebuild against fixed stack

* Fri Dec 27 2013 dmorgan <dmorgan> 4.0.18-1.mga4
+ Revision: 560922
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.0.6-3.mga3
+ Revision: 377686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 4.0.6-2.mga3
+ Revision: 330531
- Clean spec file

  + gil <gil>
    - imported package picketbox

